package intrinsic.flash.events;

public class DataEvent extends intrinsic.flash.events.TextEvent {

	/** Accessors */
	public String data;

	/** Variables */

	/** Constants */
	public static final String DATA = "data";
	public static final String UPLOAD_COMPLETE_DATA = "upload_complete_data";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DataEvent() {
}

public DataEvent(String arg0) {
}

public DataEvent(String arg0, boolean arg1) {
}

public DataEvent(String arg0, boolean arg1, boolean arg2) {
}

public DataEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
